Sanggunian · Mga Playlist

Tingnan ang isang playlist

GET /v1/playlists/{uid}

Ipinapakita ang isang playlist ayon sa uid nito, kasama ang mga item ayon sa pagkakasunod-sunod ng pagpapakita at ang mga TV na gumagamit nito.

Parameter sa path

PangalanUriPaglalarawan
uidstringuid ng playlist.

Mga field ng response

uid string
Identifier ng playlist.
name string
Pangalan ng playlist.
organization object
Organisasyon ng playlist: uid at name.
total_time integer
Kabuuang oras ng playlist, sa segundo.
total_time_is_approximate boolean
true kung tantiya lang ang kabuuang oras.
items array
Mga item ng playlist, ayon sa pagkakasunod-sunod ng pagpapakita.
items[].position integer
Posisyon ng item sa playlist.
items[].type string
file para sa file o entertainment para sa entertainment na content. Maaaring lumabas ang ibang uri.
items[].uid string
Identifier ng file o ng entertainment na content.
items[].display_time integer | null
Oras ng pagpapakita na itinakda sa item, sa segundo, o null kung wala.
items[].file object | null
Detalye ng file, na may parehong mga field gaya ng sa “Ilista ang mga file”, o null kung hindi file ang item o kung hindi nakikita ng user ang mga file ng organisasyon nito.
tvs array
Mga TV na gumagamit ng playlist (uid, name at organization). Ang mga TV lang na nakikita ng user ang lumalabas.

Mga posibleng error

  • 404 not_found Hindi umiiral ang endpoint, o hindi umiiral ang item o kabilang ito sa isang organisasyong hindi nakikita ng user.
  • Umiiral sa lahat ng endpoint ang mga error sa key at sa limitasyon. Tingnan ang lahat ng error
Request
curl "https://api.on-cloud.live/v1/playlists/e4da3b7fbbce2345d7772b0674a318d5" \
  -H "X-API-Key: $API_KEY"
<?php
$ch = curl_init('https://api.on-cloud.live/v1/playlists/e4da3b7fbbce2345d7772b0674a318d5');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => ['X-API-Key: ' . getenv('API_KEY')],
]);
$response = json_decode(curl_exec($ch), true);
const res = await fetch('https://api.on-cloud.live/v1/playlists/e4da3b7fbbce2345d7772b0674a318d5', {
  headers: { 'X-API-Key': process.env.API_KEY }
});
const { data } = await res.json();
Response200
{
  "data": {
    "uid": "e4da3b7fbbce2345d7772b0674a318d5",
    "name": "Lista principal",
    "organization": {
      "uid": "8f14e45fceea167a5a36dedd4bea2543",
      "name": "Loja Centro"
    },
    "total_time": 85,
    "total_time_is_approximate": true,
    "items": [
      {
        "position": 1,
        "type": "file",
        "uid": "a87ff679a2f3e71d9181a67b7542122c",
        "display_time": null,
        "file": {
          "uid": "a87ff679a2f3e71d9181a67b7542122c",
          "name": "Promoção de verão",
          "type": "video",
          "duration": 30,
          "archived": false,
          "organization": {
            "uid": "8f14e45fceea167a5a36dedd4bea2543",
            "name": "Loja Centro"
          }
        }
      },
      {
        "position": 2,
        "type": "entertainment",
        "uid": "noticias",
        "display_time": 15,
        "file": null
      },
      {
        "position": 3,
        "type": "file",
        "uid": "6512bd43d9caa6e02c990b0a82652dca",
        "display_time": 10,
        "file": {
          "uid": "6512bd43d9caa6e02c990b0a82652dca",
          "name": "Cardápio do dia",
          "type": "image",
          "duration": 10,
          "archived": false,
          "organization": {
            "uid": "8f14e45fceea167a5a36dedd4bea2543",
            "name": "Loja Centro"
          }
        }
      }
    ],
    "tvs": [
      {
        "uid": "c98cb8f9cc62887d1f6cf5693df9219c",
        "name": "Recepção",
        "organization": {
          "uid": "8f14e45fceea167a5a36dedd4bea2543",
          "name": "Loja Centro"
        }
      },
      {
        "uid": "45c48cce2e2d7fbdea1afc51c7c6ad26",
        "name": "Vitrine",
        "organization": {
          "uid": "8f14e45fceea167a5a36dedd4bea2543",
          "name": "Loja Centro"
        }
      }
    ]
  }
}
Item na hindi umiiral o walang access404
{
  "error": {
    "code": "not_found",
    "message": "Item not found or you do not have access to it."
  }
}